Returns all permissions of a tenant in a CSV format. The CSV file will have the following columns:

permission_id,friendly_id,domain,scope,resource_type,grants,description

GET /users/permissions/templates:download

Operation id: PermissionService_GetTemplatedPermissionsFile

Description

Permission Level: Read

Tags: PermissionService

Parameters

Query parameters

NameTypeRequiredDescription
tenantIdstringNotenant_id of the permissions, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.(streaming responses)

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.(streaming responses)

Content type: application/json

Schema

PropertyTypeRequiredDescription
resultobjectNo
errorobjectNo
{
  "type": "object",
  "properties": {
    "result": {
      "type": "object",
      "properties": {
        "data": {
          "type": "string",
          "format": "byte"
        }
      }
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "@type": {
                "type": "string"
              }
            }
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}